<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_bgm"
    tools:context=".ui.uses.ProcessedActivity">

    <RelativeLayout
        android:id="@+id/rel1"
        android:layout_marginTop="10dp"
        android:layout_width="match_parent"
        android:layout_height="45dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp" />

        <TextView
            android:id="@+id/titleDeptName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/image"
            android:text="实验室名称-房间号"
            android:textColor="@color/white"
            android:textSize="22sp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginTop="2dp">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:text="化学品智能管理"
                android:textStyle="bold"
                android:textColor="@color/white"
                android:textSize="24sp" />

            <TextView
                android:id="@+id/nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="6dp"
                android:layout_toRightOf="@+id/tvTitle"
                android:textColor="@color/white" />

        </LinearLayout>


        <RelativeLayout
            android:id="@+id/loggedIn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="18dp"
            android:gravity="center_vertical">

            <ImageView
                android:id="@+id/imageName"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginRight="6dp" />

            <TextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/imageName"
                android:text="李XX"
                android:textColor="@color/white" />

            <ImageView
                android:id="@+id/imgOut"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/tvName"
                android:background="@mipmap/cshrk_dl_tc" />

            <TextView
                android:id="@+id/tvOutLogin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="10dp"
                android:layout_toRightOf="@+id/imgOut"
                android:text="退出"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </RelativeLayout>
    </RelativeLayout>


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/rel1"
        android:layout_marginLeft="31dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="31dp"
        android:layout_marginBottom="69dp"
        android:background="@drawable/bg_add_chemicals_one">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:paddingLeft="20dp"
            android:paddingTop="10dp"
            android:paddingRight="20dp">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/dStatus"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/item_bg_dai_chuli"
                    android:padding="10dp"
                    android:text="待处理"
                    android:textColor="@color/purple_FFFF8C11"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/yStatus"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/item_bg_yi_chu_li"
                    android:padding="10dp"
                    android:text="已处理"
                    android:textColor="@color/purple_FF16BC3D"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/warnContent"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="14dp"
                    android:textColor="@color/black" />
            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="45dp">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="时    间："
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/warnTime"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="6dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:paddingLeft="4dp"
                        android:textSize="12sp"
                        android:textColor="@color/black" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="学         院："
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/deptName"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="6dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:paddingLeft="4dp"
                        android:textSize="12sp"
                        android:textColor="@color/black" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="实  验  室："
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/subName"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="6dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:paddingLeft="4dp"
                        android:textSize="12sp"
                        android:textColor="@color/black" />
                </LinearLayout>

            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/rlBelong"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="归属人："
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/belongName"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="6dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:paddingLeft="4dp"
                        android:textSize="12sp"
                        android:text="123456"
                        android:textColor="@color/black" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/lingOne"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="领用时间："
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/collectTime"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="6dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:paddingLeft="4dp"
                        android:textSize="12sp"
                        android:textColor="@color/black" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/lingTwo"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="领用时效："
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/collectTimeAging"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="6dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:paddingLeft="4dp"
                        android:textSize="12sp"
                        android:text="123456"
                        android:textColor="@color/black" />
                </LinearLayout>

            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/rlBelongTow"
                android:layout_width="match_parent"
                android:visibility="gone"
                android:layout_height="45dp">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="操作人："
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/operationPerson"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="6dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:paddingLeft="4dp"
                        android:textSize="12sp"
                        android:textColor="@color/black" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="业务类型："
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/alarmType"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="6dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:paddingLeft="4dp"
                        android:textSize="12sp"
                        android:textColor="@color/black" />
                </LinearLayout>


                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="化学品柜："
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/cabinetName"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="6dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:paddingLeft="4dp"
                        android:textSize="12sp"
                        android:textColor="@color/black" />
                </LinearLayout>

            </RelativeLayout>


            <LinearLayout
                android:id="@+id/lin1"
                android:layout_width="match_parent"
                android:layout_height="85dp"
                android:background="@mipmap/icon_xu_xian"
                android:orientation="vertical"
                android:paddingLeft="6dp"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:orientation="horizontal"
                    android:layout_height="wrap_content">
                    <TextView
                        android:id="@+id/chemicalName"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:text="化学品名称"
                        android:textColor="@color/black" />
                    <TextView
                        android:id="@+id/chemicalCode"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="-化学品名称"
                        android:textSize="12sp"
                        android:visibility="gone"
                        android:textColor="@color/black" />
                </LinearLayout>


                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/position"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:gravity="center"
                        android:paddingLeft="8dp"
                        android:paddingTop="8dp"
                        android:paddingRight="8dp"
                        android:paddingBottom="8dp"
                        android:textColor="@color/black" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="10dp"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/collectUserName"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="@color/black" />

                        <TextView
                            android:id="@+id/normsNum"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="24dp"
                            android:textColor="@color/black" />

                        <TextView
                            android:id="@+id/surplus"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="24dp"
                            android:textColor="@color/black" />
                    </LinearLayout>
                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/lin2"
                android:layout_width="match_parent"
                android:layout_height="85dp"
                android:paddingLeft="6dp"
                android:visibility="gone">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rvView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    tools:listitem="@layout/item_timeout" />
            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:text="通知记录"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/bg_bei_ji"
                android:gravity="center_vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:textSize="12sp"
                    android:text="时间"
                    android:textColor="@color/black" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:textSize="12sp"
                    android:text="通知方式"
                    android:textColor="@color/black" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:textSize="12sp"
                    android:text="报警级别"
                    android:textColor="@color/black" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textSize="12sp"
                    android:gravity="center"
                    android:text="通知人"
                    android:textColor="@color/black" />

            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rvUse"
                android:layout_width="match_parent"
                android:layout_height="110dp" />

            <TextView
                android:id="@+id/tvProc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:text="报警抓拍"
                android:textSize="15sp"
                android:textColor="@color/black"
                android:visibility="gone" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rvProcessed"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="10dp"
                android:visibility="gone" />

            <TextView
                android:id="@+id/processing"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="预警处理"
                android:textColor="@color/black"
                android:textSize="15sp"
                android:visibility="gone" />

            <LinearLayout
                android:id="@+id/lingVi"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:orientation="vertical"
                android:visibility="gone">


                <RelativeLayout
                    android:id="@+id/rlAndle"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="处理方式："
                            android:textColor="@color/black" />

                        <TextView
                            android:id="@+id/typeMsg"
                            android:layout_width="150dp"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="6dp"
                            android:background="@drawable/bg_shu_ru_kuang_twoe"
                            android:paddingLeft="4dp"
                            android:text="手动处理"
                            android:textColor="@color/black" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="处 理 人："
                            android:textColor="@color/black" />

                        <TextView
                            android:id="@+id/handlePerson"
                            android:layout_width="150dp"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="6dp"
                            android:background="@drawable/bg_shu_ru_kuang_twoe"
                            android:paddingLeft="4dp"
                            android:textColor="@color/black" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="处理时间："
                            android:textColor="@color/black" />

                        <TextView
                            android:id="@+id/handleTime"
                            android:layout_width="150dp"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="6dp"
                            android:background="@drawable/bg_shu_ru_kuang_twoe"
                            android:paddingLeft="4dp"
                            android:textColor="@color/black" />
                    </LinearLayout>

                </RelativeLayout>

                <LinearLayout
                    android:id="@+id/lint3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginBottom="18dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="处理备注："
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/handleNotes"
                        android:layout_width="150dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="6dp"
                        android:background="@drawable/bg_shu_ru_kuang_twoe"
                        android:paddingLeft="4dp"
                        android:text="无"
                        android:textColor="@color/black" />
                </LinearLayout>
            </LinearLayout>


        </LinearLayout>

    </ScrollView>


    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:orientation="horizontal">

        <Button
            android:id="@+id/tvReturn"
            android:layout_width="85dp"
            android:layout_height="30dp"
            android:background="@drawable/bg_retrun"
            android:textSize="12sp"
            android:text="返回180s"
            android:textColor="@color/white" />

        <TextView
            android:id="@+id/msg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:textColor="@color/white"
            android:textSize="14sp" />
    </LinearLayout>

    <Button
        android:id="@+id/revert"
        android:layout_width="84dp"
        android:layout_height="34dp"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginRight="0dp"
        android:layout_marginBottom="15dp"
        android:background="@drawable/bg_retrun_two"
        android:textSize="12sp"
        android:text="处理"
        android:textColor="@color/white"
        android:visibility="gone" />

</RelativeLayout>